Skip to main content
POST
Master Wallet

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
address
string

The destination wallet address. Stellar accepts classic (G...), muxed (M...), and Soroban contract (C...) recipients. Contract recipients are valid for token assets only, not native XLM.

assets
object[]
Example:
recipientRouting
object

Stellar only. Sets the memo of a withdrawal to a G... recipient, separately from note. Requests that include it for a non-Stellar wallet, or for an M... muxed or C... contract recipient, return a 400. When omitted, note is sent as the memo (an all-digit note as a memo ID, anything else as a text memo of up to 28 bytes). The memo is validated when the request is made. See Memos on Stellar.

Example:

Response

200 - application/json

Withdraw / Withdraw (Batch)

data
object
message
string
Example:

"Withdrawal request initiated successfully"

statusCode
number
Example:

200